30

We are very happy to release WPML 3.1.5 today, with complete compatibility for WordPress 3.9, PHP 5.5 and a great list of improvements.

After a first and second beta, we are finally ready with a production release of WPML 3.1.5. This version works smoothly on WordPress 3.9 and covers PHP 5.2.4-5.5.

While WPML 3.1.5 doesn’t include any major functionality, it comes with over 100 stability and performance improvements, so it’s a recommended update for WordPress 3.9 and also for earlier WordPress versions.

Please note that all of WPML’s components have changes. When you upgrade WPML, be sure to update all the components that you’re using.

Upgrading WPML to 3.1.5

If you are using our Installer plugin, this upgrade will be available directly in your WordPress admin. Automatic updates should appear in 12 hours from now.

You can always install WPML manually. This new version is available to download from your WPML.org account, under Downloads.

Next for WPML – Translate complex content easily

WPML lets you translate everything that WordPress creates. This includes pages, posts, custom fields, taxonomy, menus, widgets and strings. But, WordPress has grown and standard content is not everything today.

Plugins like Visual Composer, Gravity Forms and event calendars, as well as themes, such as Headway, DMS and other builders store content in their own unique ways. We want you to be able to translate all this with WPML.

We are starting to work on a major improvement to WPML’s String Translation, which will allow you to do just this. Strings will no longer be just isolated items. When needed, strings will be grouped to form entities (like texts in a form). This update will include a new API for registering strings, so that themes and plugins can register all translatable texts, as parts of complete entities.

To translate these entities, you will go to the Translation Dashboard, select what you want to translate and use WPML’s Translation Editor.

I will write a lot more about this major new feature when we have something. We are also in contact with these major theme and plugin authors, to review the new API and use it in their products.

As always, stability comes first. If you encounter any problems after upgrading WPML, please let us know immediately. The best way is to report issues in our forum.

Idea? Questions? Suggestions? Leave your comments here and we’ll get back to you.

30 Responses to “WPML 3.1.5 Released”

    • Better update WPML first and only then WordPress 3.9. Are you using our Installer plugin and still no updates?

    • Amir,

      Yes, I have Installer 0.7.1 installed (this is the one from OnTheGoSystems)

      I received updates for the add-ons (WPML Media String Translation etc.) and have updated those but Sitepress Multilingual wasn’t one of them.

      Thanks

      Steve

      • I’m not sure why WPML upgrade is not showing for you. It can come from different reasons, but the most important thing right now is to have it updated in your site. If you updated WordPress and some of WPML’s modules, you really need to have the core WPML plugin updated.

        If updates are not arriving automatically for you, please download and install manually from your wpml.org account. Is this OK for now?

        • Hello,
          It is in the similar situation.

          I checked plugin-update from 3.1.4 at WordPress’s dashboard,
          However, response of WP was “Latest”.

          I deleted WPML manually, and I installed again from your repository.
          (Of course, it was run well.)

          Is the updating check of WP only a guide?
          Or is it moderately reliable?

          Thank you very much.

          • Eventually, did you manage to install WPML 3.1.5? If you downloaded it from our site when it said 3.1.5, you should be running the recent version.

      • I have downloaded it from my account but when I try to install, it fails saying that the directory already exists. Is there another way that I should be doing this? If you have a link to the instructions, that would be very useful.

        Thank you

        Steve

        • Sometimes, Apache (the web server) locks PHP files. This is not typical and not really related to one plugin or another. To go around this, you should manually deactivate WPML, remove the plugin folder from wp-content/plugins/ and install again. Your content will not change in this process.

          • Thank you Amir.

            Yes, I was worried about deleting the plugin and losing any content already there. OK, I can do that later when there is less traffic.

            Thanks again 🙂

            Steve

  1. Hello,

    No sign of update in the plug-in section yet 🙁
    Plug-in registred, upload thought WordPress normaly.

    WP 3.8.3

    Cheers

      • I did follow every step for installer and I’am currently logged-in in wordpress.

        Do I log-out or something else?

        Cheers

  2. Hi,

    I have the installer plugin and when I try to update it gives me error messages like the following:

    An error occurred while updating WPML Translation Management: Update package not available.

    It also does this for: WPML String Translation, WPML Sticky Links, WPML Multilingual CMS, WPML CMS Nav.

    I’m stumped. Please help.

  3. I haven’t seen any info about new update available on my website yet, nor did I get any e-mail about it. I don’t have any installer plugin – why do I need that? I usually get info that there is an update available through with all the other plugins.

    Also, when I update will I have to set aside lots of time for checking functionality?

    Looking forward to your advise.

    Eva

    • At this moment, automatic updates for WPML are coming via our Installer plugin. We are working on merging this functionality into WPML, so that future updates come automatically without the need to install additional utility plugins.

  4. Damn. I am using CPT with ‘has_archive’ => icl_translate(‘wpml_custom’, ‘wpml_custom_reciepes’, ‘reciepes’),

    After update, WP fails with PHP error!
    PHP Fatal error: Call to undefined function icl_translate

    And of course, my site is offline now!

    • My mistake. I read one thing and was thinking of another. This function is still there and it’s part of the String Translation plugin. Are you sure it’s enabled on your site?

      Maybe your code runs before WPML is loaded?

  5. The strange is that I tried to update automatically with installer plugin, but it failed with caanot remove previous version error. Now I am trying to copy plugins manually, but still offline’.

  6. My code for custom post type creation is included in functions.php like
    include ‘includes/functions-posttypes.php’;

  7. I commented out the include function, opened the plugins section of WP and All WPML plugins was enabled with latest versions. Then removed the comment and PHP error was again back.

    • WPML works fine in languages in domains, but I see that your thread also mentions Nginx. I’m not 100% sure what is the cause of the compatibility issue that you’re having and I recommend upgrading to the recent version. It solves a number of problems with rewrite rules and it’s a good idea to upgrade to the recent version.